Subject: Re: CPAN install of LWP::UserAgent
From: "Gerrit P. Haase" <[email-masked]>
To: Alex Beamish <[email-masked]>
Cc: Cygwin mailing list <[email-masked]>
Date: Mon, 24 Jan 2005 01:29:57 +0100

Alex Beamish wrote:

> On Sun, 23 Jan 2005 20:06:36 +0100, Gerrit P. Haase <[email-masked]> wrote:
> 
>>Alex Beamish wrote:
>>
>>
>>>Just wondering if anyone else had problems installing LWP::UserAgent
>>>using CPAN.
>>
>>Yes:
>>
>>robot/ua-get..........FAILED tests 2, 7
>>
>>         Failed 2/8 tests, 75.00% okay
>>robot/ua..............FAILED tests 2, 7
>>
>>         Failed 2/7 tests, 71.43% okay
>>local/http-get........FAILED tests 1-2, 15-20
>>
>>         Failed 8/20 tests, 60.00% okay
>>local/http............FAILED tests 1-2
>>
>>         Failed 2/18 tests, 88.89% okay
>>Failed Test      Stat Wstat Total Fail  Failed  List of Failed
>>---------------------------------------------------------------------
>>local/http-get.t               20    8  40.00%  1-2 15-20
>>local/http.t                   18    2  11.11%  1-2
>>robot/ua-get.t                  8    2  25.00%  2 7
>>robot/ua.t                      7    2  28.57%  2 7
>>Failed 4/30 test scripts, 86.67% okay. 14/759 subtests failed, 98.16%
>>okay.
> 
> 
> OK .. what did you do then?

Go to the build directory and issue:
$ make UNINST=1 install

or call in the cpan shell:
cpan> force install libwww

> I finally had to delete the test that was failing and hope that
> LWP::UserAgent would be OK. It appears that it was, as I finally got
> my script to login to a web site using https and upload a file for
> processing. Thanks for your response!

That is another option I usually don't use.

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/